# TOKENS

A token registry for convenience.

```typescript
export const TOKENS: Record<string, any> = {
  ABC: {
    name: 'ABC',
    code: 'kswap.abc',
    precision: 12
  },
  XYZ: {
    name: 'XYZ',
    code: 'kswap.xyz',
    precision: 12
  },
  KDA: {
    name: 'KDA',
    code: 'coin',
    precision: 12
  },
  FLUX: {
    name: 'FLUX',
    code: 'runonflux.flux',
    precision: 12
  },
  ...
};
```

You can define and work with your own tokens by creating a new config with your token's values in your own code.

```typescript
const MYTOKEN = {
  name: 'MYTOKEN',
  code: 'my.token',
  precision: 12
};

await kaddex.swapExactIn({
  token0: {
    token: KDA,
    amount: 1.0
  },
  token1: {
    token: MYTOKEN,
    amount: 0.1
  },
  slippage: '0.01'
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecko.finance/eckodao/sdk/reference/tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
